class Glasboden {
	double PI = 3.14159265;
	double radius;

	Glasboden(double r) {
		radius = r;
	}

	void verkleinern(double x) {
		radius = radius - x;
	}

	double flaeche() {
		return PI * radius * radius;
	}

	double umfang() {
		return 2 * PI * radius;
	}

	String convertToString() {
		return "B(r=" + radius + ")";
	}
}

class Trinkglas {
	Glasboden boden;
	double fuellStand;

	Trinkglas(double fuellStand, Glasboden boden) {
		this.fuellStand = fuellStand;
		this.boden = boden;
	}

	void verkleinern(double x) {
		boden.verkleinern(x);
		fuellStand = fuellStand - x;
	}

	double innenFlaeche() {
		return boden.umfang() * fuellStand + boden.flaeche();
	}

	double fuellMenge() {
		return boden.flaeche() * fuellStand;
	}

	String convertToString() {
		return "G(b=" + boden + ", s=" + fuellStand + ")";
	}
}

public class UE10Aufgabe10 {

	public static void main(String[] argv) {
		// Einlesen des Radius' und des Fuellstandes.
		double radius = IO.readDouble("Bitte den Radius eingeben: ");
		double fuellstand = IO.readDouble("Bitte den Fuellstand eingeben: ");
		
		// Erzeugen der Glasboden- und Trinkglasobjekte
		Glasboden glasboden = new Glasboden(radius);
		Trinkglas trinkglas = new Trinkglas(fuellstand, glasboden);

		System.out.println("Trinkglasinnenflaeche: " + trinkglas.innenFlaeche()
				+ ", TrinkglasfuellMenge: " + trinkglas.fuellMenge());

		// Solange die Bedingung erfuellt ist, dass die Innenflaeche kleiner ist
		// als ein achtel der Fuellmenge ...
		while (trinkglas.innenFlaeche() < trinkglas.fuellMenge() / 8.0) {
			
			// ... wird das Glas verkleinert.
			trinkglas.verkleinern(5.0);
			System.out.println("Trinkglasinnenflaeche: "
					+ trinkglas.innenFlaeche() + ", TrinkglasfuellMenge: "
					+ trinkglas.fuellMenge());
		}
	}

}
